Package org.apache.sling.rewriter

## Interface ProcessingComponentConfiguration

    public interface ProcessingComponentConfiguration

Configuration of a processing component.

### Field Summary

Fields
`static String` `CONFIGURATION_COMPONENT_OPTIONAL` Configuration for an optional component, only transformers support this option.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.sling.api.resource.ValueMap` `getConfiguration()` Return the configuration for this component.
`String` `getType()` The name/type of the component.

### Field Detail

#### CONFIGURATION_COMPONENT_OPTIONAL

    static final String CONFIGURATION_COMPONENT_OPTIONAL

Configuration for an optional component, only transformers support this option.

See Also:
  Constant Field Values

### Method Detail

#### getType

    String getType()

The name/type of the component.

Returns:
  A unique name for this component.

#### getConfiguration

    org.apache.sling.api.resource.ValueMap getConfiguration()

Return the configuration for this component.

Returns:
  The configuration for this component or an empty map if there is none.